For the complete documentation index, see llms.txt. This page is also available as Markdown.

Yahoo Search API

Retrieve real-time search results from the Yahoo search page, providing access to relevant websites, search listings, and web content.

POST https://api.serphouse.com/yahoo-web

Path Parameters

Name
Type
Description

responseType

String

responseType can be 'html' or 'json'

Headers

Name
Type
Description

Authorization*

String

Bearer <YOUR_API_KEY>

Content-Type*

String

application/json

Request Body

Name
Type
Description

q*

string

Search phrase that you want to search

domain*

string

Choose yahoo domain. You can retrieve the list of supported yahoo domains by making a separate request to the List of Search Engines

lang*

string

You can set language for e.g. lang_en for english lang_fr for french. Get the list of available languages by making a separate request to the List of Language

device*

string

Device can be desktop To extract desktop result mobile To extract mobile result

page

integer

Give specific page to get the result of that page number. By default it will get you first page.

no_trace

string | integer

Enterprise only. Enables NoTrace mode. Accepted values: 0, 1, true, and false. When enabled (1 or true), search parameters, files, and metadata are not stored on our servers.

{
    "status": "error",
    "msg": "Please try again",
    "error": ""
}

Example request:

Last updated